Bug 272686 - ktimetracker always have tray icon(s) even if configured to disable them
Summary: ktimetracker always have tray icon(s) even if configured to disable them
Status: RESOLVED FIXED
Alias: None
Product: ktimetracker
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: Thorsten Staerk
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-07 11:05 UTC by Erik Boritsch
Modified: 2011-10-09 13:32 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.7.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Boritsch 2011-05-07 11:05:35 UTC
Version:           unspecified (using KDE 4.6.2) 
OS:                Linux

I have configured ktimetracker not to have an icon in the system tray yet it keeps popping up there (two icons, actually, but that's a different bug).

Reproducible: Always
Comment 1 Thorsten Staerk 2011-09-29 04:21:49 UTC
Fixed it during my vacations the last 4 weeks.
Comment 3 Thorsten Staerk 2011-10-09 11:10:24 UTC
The last commit was to get rid of having two tray icons. Here is the commit for not getting one: http://quickgit.kde.org/?p=kdepim.git&a=commit&h=7664da2b1a72fef6c03d47cc5c6e741a85b28a65
Comment 4 Thorsten Staerk 2011-10-09 13:31:16 UTC
Git commit 09d423048814d34965e954ab6d3fe9e72b9a5b7d by Thorsten Staerk.
Committed on 09/10/2011 at 15:30.
Pushed by tstaerk into branch 'KDE/4.7'.

do not show a trayicon on startup if the user's preference is not to
BUGS:272686

M  +8    -8    ktimetracker/mainwindow.cpp

http://commits.kde.org/kdepim/09d423048814d34965e954ab6d3fe9e72b9a5b7d